Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Stefan Monnier <[email-masked]>
Date: Tue, 28 Apr 2015 09:36:34 -0400

>> Yes, we've been through that, indeed.  But it can be accomodated by
>> requiring the user to explicitly say that some TAGS file covers "these
>> and these extra directory trees" or to link TAGS file together.
> Well, that's a bigger project than the 4-line patch you've suggested,

Indeed, and it's largely unrelated since it would be a patch to the
xref/etags backend and wouldn't touch elisp-mode.el.

> and it requires manual intervention from the user.

More manual interventions in some cases, and less in others.

>> The automatic suggestion could be restricted to only come about when
>> there is a TAGS file in one of the parent dirs.
> That won't help when I'm inside Emacs sources; I still don't want to use
> tags for Elisp.

As mentioned, this suggestion is not directly related to other backends,
so whether xref/elisp completely shadows xref/etags or not is orthogonal.
BTW: Do you have a lisp/TAGS file?  If so, why?

        Stefan